package zadatak2;

import javax.swing.*;

import java.awt.Insets;
import java.awt.event.*;
import java.util.Locale;;

public class JFrame2 extends JFrame implements ActionListener {

    private JButton jButton1;
    private JLabel jLabel1;
    private JLabel jLabel2;
    private JScrollPane jScrollPane1;
    private JTextArea jTextArea1;
    private JTextField jTextField1;
    private JTextField jTextField2;

    public JFrame2(){
        initComponents();
    }
    private void initComponents() {
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        setTitle("Zadatak 2");
        setSize(600,300);
        setLocationRelativeTo(null); 
        setLayout(null);

        //jLabel1
        jLabel1 = new JLabel("xmin");
        jLabel1.setBounds(40, 30, 80, 20);
        add(jLabel1);

        //jTextField1
        jTextField1 = new JTextField();
        jTextField1.setBounds(120, 30, 100, 20);
        add(jTextField1);

        //jLabel2
        jLabel2 = new JLabel("xmax");
        jLabel2.setBounds(40, 70, 80, 20);
        add(jLabel2);
        
        //jTextField2
        jTextField2 = new JTextField();
        jTextField2.setBounds(120, 70, 100, 20);
        add(jTextField2);

        //jButton1
        jButton1 = new JButton("Prikazi");
        jButton1.setBounds(120, 110, 100, 23);
        jButton1.addActionListener(this);
        add(jButton1);

        //jTextArea1
        jTextArea1 = new JTextArea(5,20);
        jTextArea1.setEditable(false);
        jTextArea1.setMargin(new Insets(10, 10, 10, 10)); // set padding for textArea

        //jScrollPane1
        jScrollPane1 = new JScrollPane(jTextArea1);
        jScrollPane1.setBounds(250, 30, 300, 150);
        add(jScrollPane1);
    }

    public static boolean isNumber(String text) {
        try {
            Double.parseDouble(text);
            return true;
        } catch (NumberFormatException e) {
            return false;
        }
    }
    public void actionPerformed(ActionEvent e) {
        if (!isNumber(jTextField1.getText()) || !isNumber(jTextField2.getText())) {
            JOptionPane.showMessageDialog(this, "Unesite oba polja kao brojeve.", "Greska", JOptionPane.ERROR_MESSAGE);
            jTextField1.setText("");
            jTextField2.setText("");
            jTextField1.grabFocus();

            return;
        }
        //iscrtavanje zaglavlja tabele
        jTextArea1.append("x\t|\ty\n");
        for (int i = 0; i < 50; i++) {
            jTextArea1.append("-");
        }
        jTextArea1.append("\n");

        double xmin = Double.parseDouble(jTextField1.getText());
        double xmax = Double.parseDouble(jTextField2.getText());
        
        double x= xmin;
        double y = 0;
        String s = "";
        while (x<=xmax) {            
            y= x*x - 2.5*x + 2.4;
            s = String.format(Locale.ENGLISH, "%.2f\t|\t%.2f\n", x, y);
            jTextArea1.append(s);
            x+=0.1;
        }
    }
    
}
